Bug 128128 - VIA NIC not working with latest smp kernel
VIA NIC not working with latest smp kernel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-18 22:48 EDT by Doug Maurer
Modified: 2015-01-04 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System information (11.33 KB, text/plain)
2004-08-22 15:16 EDT, Emil Stenqvist
no flags Details

  None (edit)
Description Doug Maurer 2004-07-18 22:48:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I'm getting the below errors when trying the latest 2.6.6-1.435.2.3SMP
kernel, these show up in my message logs. I do not get them with
2.6.5-358smp kernel. which means onboard nic works fine under stock
FC2 smp kernel but not under new kernel.



I can only run the 2.6.5 kernel



Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. bootup into 2.6.6-1.435.2.3 kernel 
2. gets errors (see Actual results)
3. reboot into stock kernel
4. no errors (see Expected Results)

Actual Results:  Jul 18 13:12:16 dmaurer kernel: NETDEV WATCHDOG:
eth0: transmit timed
out
Jul 18 13:12:16 dmaurer kernel: eth0: Transmit timed out, status 0003,
PHY status 786d, resetting...
Jul 18 13:12:16 dmaurer kernel: irq 10: nobody cared! (screaming
interrupt?)
Jul 18 13:12:16 dmaurer kernel:  [<0210857a>] __report_bad_irq+0x2b/0x67
Jul 18 13:12:16 dmaurer kernel:  [<02108612>] note_interrupt+0x43/0x66
Jul 18 13:12:16 dmaurer kernel:  [<02108864>] do_IRQ+0x134/0x19a
Jul 18 13:12:16 dmaurer kernel:  [<0210872a>] enable_irq+0x98/0x9e
Jul 18 13:12:16 dmaurer kernel:  [<22940024>]
rhine_tx_timeout+0xa9/0x101 [via_rhine]
Jul 18 13:12:16 dmaurer kernel:  [<02260462>] dev_watchdog+0x5e/0x93
Jul 18 13:12:16 dmaurer kernel:  [<02260404>] dev_watchdog+0x0/0x93
Jul 18 13:12:16 dmaurer kernel:  [<02127537>]
run_timer_softirq+0x122/0x150
Jul 18 13:12:16 dmaurer kernel:  [<02123fd0>] __do_softirq+0x48/0x9d
Jul 18 13:12:16 dmaurer kernel:  [<0210901e>] do_softirq+0x4f/0x56
Jul 18 13:12:16 dmaurer kernel:  =======================
Jul 18 13:12:16 dmaurer kernel:  [<02117347>]
smp_apic_timer_interrupt+0x124/0x129
Jul 18 13:12:16 dmaurer kernel:  [<021050e5>] mwait_idle+0x33/0x42
Jul 18 13:12:16 dmaurer kernel:  [<0210509d>] cpu_idle+0x26/0x3b
Jul 18 13:12:16 dmaurer kernel:  [<0235d779>] start_kernel+0x197/0x199
Jul 18 13:12:16 dmaurer kernel:
Jul 18 13:12:16 dmaurer kernel: handlers:
Jul 18 13:12:16 dmaurer kernel: [<02231ff1>] (usb_hcd_irq+0x0/0x4b)
Jul 18 13:12:16 dmaurer kernel: [<02231ff1>] (usb_hcd_irq+0x0/0x4b)
Jul 18 13:12:16 dmaurer kernel: [<22940274>] (rhine_interrupt+0x0/0x144
[via_rhine])
Jul 18 13:12:16 dmaurer kernel: Disabling IRQ #10
Jul 18 13:12:33 dmaurer kernel: NETDEV WATCHDOG: eth0: transmit timed
out
Jul 18 13:12:33 dmaurer kernel: eth0: Transmit timed out, status 0003,
PHY status 786d, resetting...
Jul 18 13:12:33 dmaurer kernel: irq 10: nobody cared! (screaming
interrupt?)
Jul 18 13:12:33 dmaurer kernel:  [<0210857a>] __report_bad_irq+0x2b/0x67
Jul 18 13:12:33 dmaurer kernel:  [<02108612>] note_interrupt+0x43/0x66
Jul 18 13:12:33 dmaurer kernel:  [<02108864>] do_IRQ+0x134/0x19a
Jul 18 13:12:33 dmaurer kernel:  [<0210872a>] enable_irq+0x98/0x9e
Jul 18 13:12:33 dmaurer kernel:  [<22940024>]
rhine_tx_timeout+0xa9/0x101 [via_rhine]
Jul 18 13:12:33 dmaurer kernel:  [<02260462>] dev_watchdog+0x5e/0x93
Jul 18 13:12:33 dmaurer kernel:  [<02260404>] dev_watchdog+0x0/0x93
Jul 18 13:12:33 dmaurer kernel:  [<02127537>]
run_timer_softirq+0x122/0x150
Jul 18 13:12:33 dmaurer kernel:  [<02123fd0>] __do_softirq+0x48/0x9d
Jul 18 13:12:33 dmaurer kernel:  [<0210901e>] do_softirq+0x4f/0x56
Jul 18 13:12:33 dmaurer kernel:  =======================
Jul 18 13:12:33 dmaurer kernel:  [<02117347>]
smp_apic_timer_interrupt+0x124/0x129
Jul 18 13:12:33 dmaurer kernel:  [<021050e5>] mwait_idle+0x33/0x42
Jul 18 13:12:33 dmaurer kernel:  [<0210509d>] cpu_idle+0x26/0x3b
Jul 18 13:12:33 dmaurer kernel:  [<0235d779>] start_kernel+0x197/0x199
Jul 18 13:12:33 dmaurer kernel:
Jul 18 13:12:33 dmaurer kernel: handlers:
Jul 18 13:12:33 dmaurer kernel: [<02231ff1>] (usb_hcd_irq+0x0/0x4b)
Jul 18 13:12:33 dmaurer kernel: [<02231ff1>] (usb_hcd_irq+0x0/0x4b)
Jul 18 13:12:33 dmaurer kernel: [<22940274>] (rhine_interrupt+0x0/0x144
[via_rhine])
Jul 18 13:12:33 dmaurer kernel: Disabling IRQ #10



Expected Results:  Jul 18 13:14:52 dmaurer kernel: eth0: VIA VT6102
Rhine-II at 0xef102000,
00:50:2c:a1:5d:0d, IRQ 14.
Jul 18 13:14:52 dmaurer kernel: eth0: MII PHY found at address 1, status
0x786d advertising 05e1 Link 0021


Additional info:

Hardware
SOYO SY-P4VTP motherboard using VIA PT800 chipset
Intel Pentium 4/ 2.8E GHz 800MHz FSB, 1MB L2 Cache, Hyper Threading
eth0 is the 10/100Mbps Fast Ethernet (assume, VIA)
512mb ram pc3200 
Plug&Play OS --disabled
2 SATA 60gig maxtor HDs
Comment 1 Doug Maurer 2004-08-17 21:38:23 EDT
Over the weekend I updated the kernel to 2.6.7.1-494.2.2. and I
received the same issues, but it got worse. The system because very
sluggish, freezing. I rebooted back into the FC2 stock kernel and
everything worked fine again. I can include the boot.log and messages
files if needed.

Doug Maurer
Comment 2 Emil Stenqvist 2004-08-22 15:16:03 EDT
Created attachment 102971 [details]
System information
Comment 3 Emil Stenqvist 2004-08-22 15:19:52 EDT
I'm sorry for the inconvenience. I forgot to include my comment with
the attachment, here goes the comment text:

I'm experiencing the exact same problem using the non-SMP version of
the Linux kernel. Issuing uname -rmpio gives:

2.6.8-1.521 i686 i686 i386 GNU/Linux

The error messages showed in the dmesg output are nearly identical to
mine. I'm not including the whole output as of what I guess that won't
be neccessary.

By disabling ACPI at boot time, using the acpi=off kernel parameter,
I'm able to get fully functioning network. Except ACPI, which is
pretty annoying as it's a laptop computer.

I feel this bug is really urgent to fix as there are many people who
use the via_rhine network driver. And further on, isn't this an issue
for the kernel developers rather than the Fedora Core team?

The hardware I'm running this on is a hp Omnibook xe4100 notebook.
I've attached a file containing outputs of various files in the proc
filesystem to avoid confusion. This information has been gathered when
using the 'acpi=off' switch, which means there are no error indications.

I will try to provide more information, e.g. a full dmesg output when
not using the acpi=off parameter, as soon as possible.
Comment 4 Dave Jones 2004-11-26 23:44:21 EST
any improvement with the 2.6.9 based update ?
Comment 5 Doug Maurer 2004-11-27 01:36:59 EST
running fc3 now.. didn't test it before until now.. looks like its running ok. I
was able to pull an ip from my dhcp router with it.
Comment 6 Doug Maurer 2004-11-27 01:40:26 EST
oops disregard my last post.. wrong machine.. (thats what i get for having more
than 1).. I'll have to get back to you next week. The machine that had the
problem is in another state. and i'll be there monday. 
Comment 7 Dave Jones 2005-04-16 01:45:35 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.